## org.apache.lucene.queryParser.standard.config
Interface MultiFieldAttribute

All Superinterfaces:
  org.apache.lucene.util.Attribute

All Known Implementing Classes:
  MultiFieldAttributeImpl

Deprecated.

    @Deprecated
    public interface MultiFieldAttribute

extends org.apache.lucene.util.Attribute

This attribute is used by `MultiFieldQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor to which fields the terms in the query should be expanded.

Method Summary
`CharSequence[]` `getFields()` Deprecated.
`void` `setFields(CharSequence[] fields)` Deprecated.

Method Detail

### setFields

    void setFields(CharSequence[] fields)

  Deprecated.

### getFields

    CharSequence[] getFields()

  Deprecated.